Index: src/sas/sasgui/guiframe/gui_manager.py
===================================================================
--- src/sas/sasgui/guiframe/gui_manager.py	(revision a4c24459af9d908f923d5abb9809c6744530b90c)
+++ src/sas/sasgui/guiframe/gui_manager.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -2184,9 +2214,11 @@
                     try:
                         # Try an alternate method
-                        logging.error("Could not open the tutorial pdf, trying xhtml2pdf")
+                        logging.error(
+                            "Could not open the tutorial pdf, trying xhtml2pdf")
                         from xhtml2pdf import pisa
                         pisa.startViewer(path)
                     except:
-                        logging.error("Could not open the tutorial pdf with xhtml2pdf")
+                        logging.error(
+                            "Could not open the tutorial pdf with xhtml2pdf")
                         msg = "This feature requires 'PDF Viewer'\n"
                         wx.MessageBox(msg, 'Error')
@@ -2198,10 +2230,12 @@
                     try:
                         # Try an alternate method
-                        logging.error("Could not open the tutorial pdf, trying xhtml2pdf")
+                        logging.error(
+                            "Could not open the tutorial pdf, trying xhtml2pdf")
                         from xhtml2pdf import pisa
                         pisa.startViewer(path)
                     except:
-                        logging.error("Could not open the tutorial pdf with xhtml2pdf")
-                        msg = "This feature requires the 'Preview' application\n"
+                        logging.error(
+                            "Could not open the tutorial pdf with xhtml2pdf")
+                        msg = "This feature requires the Preview application\n"
                         wx.MessageBox(msg, 'Error')
 
@@ -2218,5 +2252,6 @@
         from documentation_window import DocumentationWindow
         _TreeLocation = "user/user.html"
-        DocumentationWindow(self, -1, _TreeLocation, "", "SasView Documentation")
+        DocumentationWindow(self, -1, _TreeLocation, "",
+                            "SasView Documentation")
 
     def set_manager(self, manager):
@@ -2252,5 +2287,5 @@
                 if self.panels[item].ALWAYS_ON:
                     continue
-            if self.panels[item] == None:
+            if self.panels[item] is None:
                 continue
             if self.panels[item].window_name in panels:
@@ -2261,8 +2296,9 @@
                 # always show the data panel if enable
                 style = self.__gui_style & GUIFRAME.MANAGER_ON
-                if (style == GUIFRAME.MANAGER_ON) and self.panels[item] == self._data_panel:
+                if (style == GUIFRAME.MANAGER_ON) \
+                        and self.panels[item] == self._data_panel:
                     if 'data_panel' in self.panels.keys():
                         frame = self.panels['data_panel'].get_frame()
-                        if frame == None:
+                        if frame is None:
                             continue
                         flag = frame.IsShown()
@@ -2270,5 +2306,5 @@
                 else:
                     frame = self.panels[item].get_frame()
-                    if frame == None:
+                    if frame is None:
                         continue
 
@@ -2280,5 +2316,5 @@
         show the data panel
         """
-        if self._data_panel_menu == None:
+        if self._data_panel_menu is None:
             return
         label = self._data_panel_menu.GetText()
@@ -2310,5 +2346,5 @@
         :param data_list: dictionary of data's ID and value Data
         """
-        #Store data into manager
+        # Store data into manager
         self.add_data_helper(data_list)
         # set data in the data panel
@@ -2316,14 +2352,14 @@
             data_state = self._data_manager.get_data_state(data_list.keys())
             self._data_panel.load_data_list(data_state)
-        #if the data panel is shown wait for the user to press a button
-        #to send data to the current perspective. if the panel is not
-        #show  automatically send the data to the current perspective
+        # if the data panel is shown wait for the user to press a button
+        # to send data to the current perspective. if the panel is not
+        # show  automatically send the data to the current perspective
         style = self.__gui_style & GUIFRAME.MANAGER_ON
         if style == GUIFRAME.MANAGER_ON:
-            #wait for button press from the data panel to set_data
+            # wait for button press from the data panel to set_data
             if self._data_panel is not None:
                 self._data_panel.frame.Show(True)
         else:
-            #automatically send that to the current perspective
+            # automatically send that to the current perspective
             self.set_data(data_id=data_list.keys())
 
@@ -2386,8 +2422,8 @@
                                                        info='warning'))
             else:
-                #if not append then new plot
+                # if not append then new plot
                 from sas.sasgui.guiframe.dataFitting import Data2D
                 if issubclass(Data2D, new_plot.__class__):
-                    #for 2 D always plot in a separated new plot
+                    # for 2 D always plot in a separated new plot
                     new_plot.group_id = wx.NewId()
                 else:
@@ -2420,5 +2456,5 @@
                                                 group_id=group_id,
                                                 action='remove'))
-                #remove res plot: Todo: improve
+                # remove res plot: Todo: improve
                 wx.CallAfter(self._remove_res_plot, new_plot.id)
         self._data_manager.delete_data(data_id=data_id,
@@ -2462,5 +2498,5 @@
             mypath = os.path.basename(path)
 
-            #Instantiate a loader
+            # Instantiate a loader
             loader = Loader()
             ext_format = ".txt"
@@ -2482,5 +2518,4 @@
         dlg.Destroy()
 
-
     def _onsaveTXT(self, data, path):
         """
@@ -2489,8 +2524,8 @@
         .. todo:: Refactor and remove this method. See 'TODO' in _onSave.
         """
-        if not path == None:
+        if path is not None:
             out = open(path, 'w')
             has_errors = True
-            if data.dy == None or data.dy == []:
+            if data.dy is None or data.dy == []:
                 has_errors = False
             # Sanity check
@@ -2502,5 +2537,5 @@
                     has_errors = False
             if has_errors:
-                if data.dx != None and data.dx != []:
+                if data.dx is not None and data.dx != []:
                     out.write("<X>   <Y>   <dY>   <dX>\n")
                 else:
@@ -2511,6 +2546,6 @@
             for i in range(len(data.x)):
                 if has_errors:
-                    if data.dx != None and data.dx != []:
-                        if  data.dx[i] != None:
+                    if data.dx is not None and data.dx != []:
+                        if data.dx[i] is not None:
                             out.write("%g  %g  %g  %g\n" % (data.x[i],
                                                             data.y[i],
@@ -2543,27 +2578,27 @@
                                            info="error"))
             raise ValueError, msg
-        ## text = str(data)
+        # text = str(data)
         text = data.__str__()
         text += 'Data Min Max:\n'
         text += 'X_min = %s:  X_max = %s\n' % (xmin, max(data.x))
         text += 'Y_min = %s:  Y_max = %s\n' % (ymin, max(data.y))
-        if data.dy != None:
+        if data.dy is not None:
             text += 'dY_min = %s:  dY_max = %s\n' % (min(data.dy), max(data.dy))
         text += '\nData Points:\n'
         x_st = "X"
         for index in range(len(data.x)):
-            if data.dy != None and len(data.dy) > index:
+            if data.dy is not None and len(data.dy) > index:
                 dy_val = data.dy[index]
             else:
                 dy_val = 0.0
-            if data.dx != None and len(data.dx) > index:
+            if data.dx is not None and len(data.dx) > index:
                 dx_val = data.dx[index]
             else:
                 dx_val = 0.0
-            if data.dxl != None and len(data.dxl) > index:
+            if data.dxl is not None and len(data.dxl) > index:
                 if index == 0:
                     x_st = "Xl"
                 dx_val = data.dxl[index]
-            elif data.dxw != None and len(data.dxw) > index:
+            elif data.dxw is not None and len(data.dxw) > index:
                 if index == 0:
                     x_st = "Xw"
@@ -2605,5 +2640,5 @@
             mypath = os.path.basename(path)
 
-            #Instantiate a loader
+            # Instantiate a loader
             loader = Loader()
 
@@ -2642,9 +2677,9 @@
             y_val = data.qy_data[index]
             i_val = data.data[index]
-            if data.err_data != None:
+            if data.err_data is not None:
                 di_val = data.err_data[index]
-            if data.dqx_data != None:
+            if data.dqx_data is not None:
                 dx_val = data.dqx_data[index]
-            if data.dqy_data != None:
+            if data.dqy_data is not None:
                 dy_val = data.dqy_data[index]
 
@@ -2681,5 +2716,5 @@
                     for name in self._current_perspective.get_perspective():
                         frame = panel.get_frame()
-                        if frame != None:
+                        if frame is not None:
                             if name == panel.window_name:
                                 panel.on_set_focus(event=None)
@@ -2691,5 +2726,5 @@
                 self._data_panel.set_active_perspective(name)
                 self._check_applications_menu()
-            #Set the SasView title
+            # Set the SasView title
             self._set_title_name(name)
 
@@ -2723,8 +2758,10 @@
         """
 
-        if self.panel_on_focus not in self._plotting_plugin.plot_panels.values():
+        if self.panel_on_focus \
+                not in self._plotting_plugin.plot_panels.values():
             return
+        check = "Theory1D"
         is_theory = len(self.panel_on_focus.plots) <= 1 and \
-            self.panel_on_focus.plots.values()[0].__class__.__name__ == "Theory1D"
+            self.panel_on_focus.plots.values()[0].__class__.__name__ == check
 
         is_data2d = hasattr(new_plot, 'data')
@@ -2734,15 +2771,16 @@
         has_meta_data = hasattr(new_plot, 'meta_data')
 
-        #disable_add_data if the data is being recovered from  a saved state file.
+        # disable_add_data if the data is being recovered from  a saved state
         is_state_data = False
         if has_meta_data:
             if 'invstate' in new_plot.meta_data:
                 is_state_data = True
-            if  'prstate' in new_plot.meta_data:
+            if 'prstate' in new_plot.meta_data:
                 is_state_data = True
-            if  'fitstate' in new_plot.meta_data:
+            if 'fitstate' in new_plot.meta_data:
                 is_state_data = True
 
-        return is_data1d and not is_data2d and not is_theory and not is_state_data
+        return is_data1d and not is_data2d and not is_theory \
+               and not is_state_data
 
     def check_multimode(self, perspective=None):
@@ -2750,5 +2788,5 @@
         Check the perspective have batch mode capablitity
         """
-        if perspective == None or self._data_panel == None:
+        if perspective is None or self._data_panel is None:
             return
         flag = perspective.get_batch_capable()
@@ -2777,5 +2815,5 @@
             self._edit_menu.Enable(GUIFRAME_ID.PASTE_ID, flag)
 
-            #Copy menu
+            # Copy menu
             flag = self.cpanel_on_focus.get_copy_flag()
             self._edit_menu_copyas.Enable(GUIFRAME_ID.COPYEX_ID, flag)
@@ -2908,6 +2946,6 @@
             if data_panel.cb_plotpanel is not None:
                 # Check if any panel has the same caption
-                has_newstring = data_panel.cb_plotpanel.FindString\
-                                                            (str(new_caption))
+                has_newstring = data_panel.cb_plotpanel.FindString(
+                    str(new_caption))
                 caption = new_caption
                 if has_newstring != wx.NOT_FOUND:
@@ -3026,5 +3064,5 @@
         drag
         """
-        #Not implemeted
+        # Not implemeted
 
     def enable_reset(self):
@@ -3039,5 +3077,5 @@
         """
         size_y = 0
-        if self.GetToolBar() != None and self.GetToolBar().IsShown():
+        if self.GetToolBar() is not None and self.GetToolBar().IsShown():
             if not IS_LINUX:
                 _, size_y = self.GetToolBar().GetSizeTuple()
@@ -3054,5 +3092,5 @@
         # append this panel in the schedule list if not in yet
         if func == 'append':
-            if not panel in self.schedule_full_draw_list:
+            if panel not in self.schedule_full_draw_list:
                 self.schedule_full_draw_list.append(panel)
         # remove this panel from schedule list
@@ -3074,5 +3112,5 @@
 
         count = len(self.schedule_full_draw_list)
-        #if not self.schedule:
+        # if not self.schedule:
         if count < 1:
             self.set_schedule(False)
@@ -3089,5 +3127,6 @@
                 if ind == count:
                     return
-        #Simple redraw only for a panel shown
+        # Simple redraw only for a panel shown
+
         def f_draw(panel):
             """
@@ -3102,5 +3141,5 @@
                     # draw if possible
                     panel.set_resizing(False)
-                    #panel.Show(True)
+                    # panel.Show(True)
                     panel.draw_plot()
                 # Check if the panel is not shown
@@ -3137,7 +3176,7 @@
         Set focus on a plot panel
         """
-        if panel == None:
+        if panel is None:
             return
-        #self.set_plot_unfocus()
+        # self.set_plot_unfocus()
         panel.on_set_focus(None)
         # set focusing panel
@@ -3172,5 +3211,5 @@
         try:
             # check if it is time to redraw
-            if self.GetCapture() == None:
+            if self.GetCapture() is None:
                 # Draw plot, changes resizing too
                 self.full_draw()
@@ -3180,5 +3219,4 @@
         # restart idle
         self._redraw_idle(*args, **kwargs)
-
 
     def _redraw_idle(self, *args, **kwargs):
@@ -3195,14 +3233,14 @@
     the GUI manager
     """
-    ## Internal nickname for the window, used by the AUI manager
+    # Internal nickname for the window, used by the AUI manager
     window_name = "default"
-    ## Name to appear on the window title bar
+    # Name to appear on the window title bar
     window_caption = "Welcome panel"
-    ## Flag to tell the AUI manager to put this panel in the center pane
+    # Flag to tell the AUI manager to put this panel in the center pane
     CENTER_PANE = True
+
     def __init__(self, parent, *args, **kwds):
         wx.Panel.__init__(self, parent, *args, **kwds)
         PanelBase.__init__(self, parent)
-
 
 
@@ -3236,6 +3274,7 @@
         try:
             if os.path.isfile(SPLASH_SCREEN_PATH):
-                self.s_screen = self.display_splash_screen(parent=self.frame,
-                                                           path=SPLASH_SCREEN_PATH)
+                self.s_screen = \
+                    self.display_splash_screen(parent=self.frame,
+                                               path=SPLASH_SCREEN_PATH)
             else:
                 self.frame.Show()
@@ -3300,5 +3339,5 @@
                             os.remove(file_path)
                 except:
-                    logging.error("gui_manager.clean_plugin_models:\n  %s" \
+                    logging.error("gui_manager.clean_plugin_models:\n  %s"
                                   % sys.exc_value)
 
@@ -3314,5 +3353,5 @@
         Build the GUI
         """
-        #try to load file at the start
+        # try to load file at the start
         self.open_file()
         self.frame.build_gui()
@@ -3390,5 +3429,4 @@
         # Return the suggested position and size for the application frame.
         return (posX, posY), (customWidth, customHeight), is_maximized
-
 
     def display_splash_screen(self, parent,
@@ -3427,5 +3465,4 @@
         return s_screen
 
-
     def on_close_splash_screen(self, event):
         """
@@ -3447,10 +3484,11 @@
         """
         # Initialize the Frame object
-        CHILD_FRAME.__init__(self, parent=parent, id=wx.ID_ANY, title=title, size=size)
+        CHILD_FRAME.__init__(self, parent=parent, id=wx.ID_ANY,
+                             title=title, size=size)
         self.parent = parent
         self.name = "Untitled"
         self.batch_on = self.parent.batch_on
         self.panel = panel
-        if panel != None:
+        if panel is not None:
             self.set_panel(panel)
         self.Show(False)
